import React from 'react';
import { MarketingHeader }  from '../../index';
import Logo from '../assets/logo.svg'
import LogoMark from '../assets/logo_mark.svg';


const logo = {
  url: Logo
};

const logoMark = {
  url: LogoMark
}

export default {
  title: 'Otto/Marketing Header',
  component: MarketingHeader,
};

const Template = (args) => <MarketingHeader {...args} />;
const user = {
  name: 'Tom Cook',
  email: 'tom@example.com',
  imagesUrl:
    'https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80',
}
const currentUser = {
  firebaseId: 'Test_token',
}
const logOut = () => {};


export const LoggedIn = Template.bind({});
export const LoggedOut = Template.bind({});
LoggedIn.args = {
  logo,
  logoMark,
  user,
  currentUser,
  logOut
};

LoggedOut.args = {
  logo,
  logoMark,
  user: null,
  currentUser: null,
};